aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThierry Vignaud <thierry.vignaud@gmail.com>2014-09-08 13:12:11 +0200
committerThierry Vignaud <thierry.vignaud@gmail.com>2014-09-12 22:27:01 +0200
commit895ea9ff8be3fffcb38b37a18662c58a928ddbb3 (patch)
treeb43046cf46a70a10d8dfc484119b391844b29fbe
parentaa832f67a55e851fbd7de69ffda44b7d82cd8bf8 (diff)
downloadrpm-setup-895ea9ff8be3fffcb38b37a18662c58a928ddbb3.tar
rpm-setup-895ea9ff8be3fffcb38b37a18662c58a928ddbb3.tar.gz
rpm-setup-895ea9ff8be3fffcb38b37a18662c58a928ddbb3.tar.bz2
rpm-setup-895ea9ff8be3fffcb38b37a18662c58a928ddbb3.tar.xz
rpm-setup-895ea9ff8be3fffcb38b37a18662c58a928ddbb3.zip
convert PHP deps to internal generator
-rw-r--r--Makefile.am1
-rw-r--r--NEWS1
-rwxr-xr-xfind-provides.in6
-rwxr-xr-xfind-requires.in7
-rw-r--r--php.attr4
5 files changed, 6 insertions, 13 deletions
diff --git a/Makefile.am b/Makefile.am
index 43f098f..75a1e2c 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -51,6 +51,7 @@ pkg_scripts_in = $(pkg_gscripts:=.in)
pkg_attr_defs = \
perl_base.attr
+ php.attr
BUILT_SOURCES = macros-perarch make_arch_macrosfiles.sh rpmgenplatform
diff --git a/NEWS b/NEWS
index d4aa0f2..978a441 100644
--- a/NEWS
+++ b/NEWS
@@ -1,4 +1,5 @@
- convert perl-base deps to internal generator
+- convert PHP deps to internal generator
- drop most of the script-based dependency generation bits
- use internal dependency generator instead of "external generator"
(like all other distros) which is way much faster :-)
diff --git a/find-provides.in b/find-provides.in
index 1f95f86..90b0c3d 100755
--- a/find-provides.in
+++ b/find-provides.in
@@ -28,12 +28,6 @@ if [ -n "`echo $filelist | grep -e '/CORE/libperl\.so'`" ]; then
fi
#
-# --- Php modules.
-[ -x @RPMVENDORDIR@/php.prov ] &&
- echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/php.prov | sort -u \
- && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/php.prov failed' >&2 && exit 1
-
-#
# --- Kernel modules.
[ -x @RPMVENDORDIR@/kmod.prov ] &&
echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/kmod.prov | sort -u \
diff --git a/find-requires.in b/find-requires.in
index e15d5a6..c56c2e1 100755
--- a/find-requires.in
+++ b/find-requires.in
@@ -39,7 +39,6 @@ fi
#
filelist=`sed "s/[]['\"*?{}]/\\\\\&/g"`
-phplist=`echo "$filelist" | grep -v /usr/doc | grep -v /usr/share/doc | egrep "\.php$"`
rubygemlist=`echo "$filelist"| egrep "\.gemspec$"`
@@ -63,12 +62,6 @@ fi
echo $filelist | tr '[:blank:]' \\n | /usr/lib/rpm/rpmdeps --requires
#
-# --- Php modules.
-[ -x @RPMVENDORDIR@/php.req -a -n "$phplist" ] && \
- echo $phplist | tr '[:blank:]' \\n | @RPMVENDORDIR@/php.req | sort -u \
- && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/php.req failed' >&2 && exit 1
-
-#
# --- typelib() gobject-introspection bindings
[ -x @RPMVENDORDIR@/gi-find-deps.sh ] &&
echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/gi-find-deps.sh -R | sort -u \
diff --git a/php.attr b/php.attr
new file mode 100644
index 0000000..50cc508
--- /dev/null
+++ b/php.attr
@@ -0,0 +1,4 @@
+# PHP modules
+%__php_requires %{_rpmconfigdir}/mageia/php.req
+%__php_provides %{_rpmconfigdir}/mageia/php.prov
+%__php_magic ^.*PHP .*$